<template>
    <div :class="{ 'hidden': !modelValue }"
        class="overflow-y-auto overflow-x-hidden fixed top-0 right-0 left-0 z-50 md:inset-0 h-modal md:h-full w-full flex justify-center items-center bg-black bg-opacity-50">
        <div class="relative p-4 w-full max-w-sm h-full md:h-auto ">
            <div class="relative bg-white rounded-[20px] shadow ">
                <div class="font-mm font-bold text-[#EA1313] text-[20px] text-center pt-[24px] pb-[14px]">
                    Delete?
                </div>
                <hr class="border-[#F3F3F3]" />
                <div class="p-6 pt-[43px] pb-[33px] text-center">
                    <h3 class="mb-5 text-lg font-normal text-gray-500 text-[14px]">{{ message }}</h3>
                    <button @click="onConfirm(true)" data-modal-toggle="popup-modal" type="button"
                        class="text-white w-[93px] font-bold bg-blue-700 hover:bg-blue-600 focus:ring-4 focus:outline-none focus:ring-blue-30  rounded-full text-sm inline-flex items-center justify-center px-5 py-2.5 text-center mr-2">
                        Yes
                    </button>
                    <button @click="onConfirm(false)" data-modal-toggle="popup-modal" type="button"
                        class="text-[#EA1313] w-[93px] font-bold bg-white hover:bg-gray-100 focus:ring-4 focus:outline-none focus:ring-gray-200 rounded-full border text- border-[#EA1313] text-sm  px-5 py-2.5 ">No
                    </button>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    name: 'VConfirmBox',
    props: {
        modelValue: {
            type: Boolean,
            default: false
        },
        message: {
            type: String,
            default: 'Are you sure you want to delete the selected item(s)?'
        }
    },
    methods: {
        onConfirm(val) {
            this.$emit('update:modelValue', val);
        }
    }
}
</script>
